POST /v1/actions/{type}/run
Execute a single action immediately (no workflow definition required)
POST
/v1/actions/{type}/run
Execute a single action immediately (no workflow definition required)
Path Parameters
type
string
required
path
Action type
Request Body required
Run parameters
application/jsonOne of:
Option 1
Option 2
connectorId
string
inputs
object
REQUIRED
Responses
200
OK
application/jsondurationMs
integer
result
object
400
Bad Request
402
Payment Required
404
Not Found
502
Bad Gateway
curl -X POST 'https://api.example.com/v1/actions/string/run' \ -H 'Authorization: Bearer YOUR_API_TOKEN' \ -H 'Content-Type: application/json' \ -d '{}'
const response = await fetch('https://api.example.com/v1/actions/string/run', { method: 'POST', headers: { "Authorization": "Bearer YOUR_API_TOKEN", "Content-Type": "application/json" }, body: JSON.stringify({})});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.post('https://api.example.com/v1/actions/string/run', headers=headers, json={})print(response.json())
package mainimport ( "fmt" "io" "net/http" "strings")func main() { body := strings.NewReader(`{}`) req, _ := http.NewRequest("POST", "https://api.example.com/v1/actions/string/run", body) req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN") req.Header.Set("Content-Type", "application/json") resp, _ := http.DefaultClient.Do(req) defer resp.Body.Close() result, _ := io.ReadAll(resp.Body) fmt.Println(string(result))}
200
Response
{ "durationMs": 123, "result": "<object>"}
API Playground
Try this endpoint
POST
/v1/actions/{type}/run
